
Redmine - Defect #10830

Cannot add git repository to redmine

2012-05-04 00:18 - Spencer Deinum

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Everytime I try to add a local git repository to a project I'm getting the following error.

ruby version: 1.8.7

rails version: 3.2.3

using sqlite3

Started POST "/projects/healthie-laravel/repositories" for 10.139.4.189 at Thu May 03 18:16:16 -0400 2012

Processing by RepositoriesController#create as HTML

Parameters: {"repository_scm"=>"Git", "repository"=>{"path_encoding"=>"", "extra_report_last_commit"=>"0",

"url"=>"/home/spencer/Healthie-laravel.git", "identifier"=>"", "is_default"=>"1"}, "utf8"=>"✓",

"authenticity_token"=>"5Y9pHmapY/Q3LvCp28YRqcJvCvDJq0TM5CIl8SkqaqM=", "project_id"=>"healthie-laravel",

"commit"=>"Create"}

Completed 500 Internal Server Error in 10ms

NoMethodError (undefined method `project=' for nil:NilClass):

app/controllers/repositories_controller.rb:50:in `create'

Associated revisions

Revision 9775 - 2012-06-07 01:08 - Toshi MARUYAMA

1.4-stable: scm: git: backport creating and updating test from trunk r9616 (#10830)

History

#1 - 2012-05-04 01:50 - Toshi MARUYAMA

- Affected version (unused) changed from 1.4.1 to devel

- Affected version deleted (1.4.1)

#2 - 2012-05-04 01:50 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed by r9616.

#3 - 2012-06-06 22:28 - luigifab !

Have you a release date?

Problem is still present in Redmine 1.4.3.

#4 - 2012-06-06 22:42 - Etienne Massip

- Assignee set to Toshi MARUYAMA

It has been fixed on trunk before the creation of the 2.0 branch so it has been fixed with release of 2.0.0.

Toshi, did you plan to merge it into 1.4?

#5 - 2012-06-06 22:42 - Etienne Massip

- Category set to SCM
https://www.redmine.org/projects/redmine/repository/svn/revisions/9616
https://www.redmine.org/versions/43


#6 - 2012-06-06 23:53 - Toshi MARUYAMA

- Assignee deleted (Toshi MARUYAMA)

This bug is due to Rails3 porting.

There is no bug on 1.4-stable.

#7 - 2012-06-07 09:52 - Jérémie Gnujeremie

Toshi MARUYAMA wrote:

This bug is due to Rails3 porting.

There is no bug on 1.4-stable.

 I don't understand. Using several redmine instances, all running with 1.4.2 or 1.4.3, I can tell you the bug is still there.

#8 - 2012-06-07 10:19 - Toshi MARUYAMA

I committed in r9775 to 1.4-stable (Rails2) and all test passes.

http://www.redmine.org/builds/index.html

Description log is about Redmine 2.0 (Rails3).

If you have a problem on clean Redmine 1.4, which means no plugins,

Please create a new issue with SubmittingBugs.
